org.modeshape.jcr.index.local

## Class IndexChangeAdapters.PathBasedChangeAdapter<T>

- java.lang.Object
- - org.modeshape.jcr.cache.change.ChangeSetAdapter
  - - org.modeshape.jcr.spi.index.provider.IndexChangeAdapter
    - - org.modeshape.jcr.index.local.IndexChangeAdapters.PathBasedChangeAdapter<T>

- All Implemented Interfaces:
    ChangeSetListener
  Direct Known Subclasses:
    IndexChangeAdapters.NodeDepthChangeAdapter, IndexChangeAdapters.NodeLocalNameChangeAdapter, IndexChangeAdapters.NodeNameChangeAdapter, IndexChangeAdapters.NodePathChangeAdapter
  Enclosing class:
    IndexChangeAdapters

      protected abstract static class IndexChangeAdapters.PathBasedChangeAdapter<T>
      extends IndexChangeAdapter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.cache.change.ChangeSetAdapter

      `ChangeSetAdapter.NodeTypePredicate`

  - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.cache.change.ChangeSetAdapter

      `context, predicate`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IndexChangeAdapters.PathBasedChangeAdapter(ExecutionContext context, ChangeSetAdapter.NodeTypePredicate matcher, String workspaceName, org.modeshape.jcr.index.local.LocalDuplicateIndex<T> index, boolean includeRoot)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addNode(String workspaceName, NodeKey key, Path path, Name primaryType, Set<Name> mixinTypes, CachedNode.Properties properties, boolean queryable)` Handle the addition of a node.
    `protected void` | `completeChanges()` Signals the end of processing for the changes in a transaction described by a single `ChangeSet`.
    `protected void` | `completeWorkspaceChanges()` Signals the end of processing for the workspace-related changes in a transaction described by a single `ChangeSet`.
    `protected abstract T` | `convert(Path path)`
    `protected abstract T` | `convertRoot(Path path)`
    `protected void` | `moveNode(String workspaceName, NodeKey key, Name primaryType, Set<Name> mixinTypes, NodeKey oldParent, NodeKey newParent, Path newPath, Path oldPath, boolean queryable)` Handle the move of a node.
    `protected void` | `reindexNode(String workspaceName, NodeKey key, Path path, Name primaryType, Set<Name> mixinTypes, CachedNode.Properties properties, boolean queryable)` Handle the reindexing of a node.
    `protected void` | `removeNode(String workspaceName, NodeKey key, NodeKey parentKey, Path path, Name primaryType, Set<Name> mixinTypes, boolean queryable)` Handle the removal of a node.
    `String` | `toString()`

    - ### Methods inherited from class org.modeshape.jcr.spi.index.provider.IndexChangeAdapter

      `includesWorkspace, index`

    - ### Methods inherited from class org.modeshape.jcr.cache.change.ChangeSetAdapter

      `addWorkspace, beginChanges, beginWorkspaceChanges, binaryValueUnused, changeNode, modifyProperties, notify, removeWorkspace, renameNode, reorderNode, repositoryMetadataChanged, sequenced, sequenceFailure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexChangeAdapters.PathBasedChangeAdapter

          protected IndexChangeAdapters.PathBasedChangeAdapter(ExecutionContext context,
                                                    ChangeSetAdapter.NodeTypePredicate matcher,
                                                    String workspaceName,
                                                    org.modeshape.jcr.index.local.LocalDuplicateIndex<T> index,
                                                    boolean includeRoot)

  - ### Method Detail

    - #### convertRoot

          protected abstract T convertRoot(Path path)

    - #### convert

          protected abstract T convert(Path path)

    - #### addNode

          protected void addNode(String workspaceName,
                     NodeKey key,
                     Path path,
                     Name primaryType,
                     Set<Name> mixinTypes,
                     CachedNode.Properties properties,
                     boolean queryable)

      Description copied from class: `ChangeSetAdapter`
      Handle the addition of a node.
      Overrides:
        `addNode` in class `ChangeSetAdapter`
      Parameters:
        `workspaceName` - the workspace in which the node information should be available; may not be null
        `key` - the unique key for the node; may not be null
        `path` - the path of the node; may not be null
        `primaryType` - the primary type of the node; may not be null
        `mixinTypes` - the mixin types for the node; may not be null but may be empty
        `properties` - the properties of the node; may not be null but may be empty
        `queryable` - true if the node is queryable, false otherwise

    - #### reindexNode

          protected void reindexNode(String workspaceName,
                         NodeKey key,
                         Path path,
                         Name primaryType,
                         Set<Name> mixinTypes,
                         CachedNode.Properties properties,
                         boolean queryable)

      Description copied from class: `ChangeSetAdapter`
      Handle the reindexing of a node.
      Overrides:
        `reindexNode` in class `ChangeSetAdapter`
      Parameters:
        `workspaceName` - the workspace in which the node information should be available; may not be null
        `key` - the unique key for the node; may not be null
        `path` - the path of the node; may not be null
        `primaryType` - the primary type of the node; may not be null
        `mixinTypes` - the mixin types for the node; may not be null but may be empty
        `properties` - the properties of the node; may not be null but may be empty
        `queryable` - true if the node is queryable, false otherwise

    - #### moveNode

          protected void moveNode(String workspaceName,
                      NodeKey key,
                      Name primaryType,
                      Set<Name> mixinTypes,
                      NodeKey oldParent,
                      NodeKey newParent,
                      Path newPath,
                      Path oldPath,
                      boolean queryable)

      Description copied from class: `ChangeSetAdapter`
      Handle the move of a node.
      Overrides:
        `moveNode` in class `ChangeSetAdapter`
      Parameters:
        `workspaceName` - the workspace in which the node information should be available; may not be null
        `key` - the unique key for the node; may not be null
        `primaryType` - the primary type of the node; may not be null
        `mixinTypes` - the mixin types for the node; may not be null but may be empty
        `oldParent` - the key of the node's parent before it was moved; may not be null
        `newParent` - the key of the node's parent after it was moved; may not be null
        `newPath` - the new path of the node after it was moved; may not be null
        `oldPath` - the old path of the node before it was moved; may not be null
        `queryable` - true if the node is queryable, false otherwise

    - #### removeNode

          protected void removeNode(String workspaceName,
                        NodeKey key,
                        NodeKey parentKey,
                        Path path,
                        Name primaryType,
                        Set<Name> mixinTypes,
                        boolean queryable)

      Description copied from class: `ChangeSetAdapter`
      Handle the removal of a node.
      Overrides:
        `removeNode` in class `ChangeSetAdapter`
      Parameters:
        `workspaceName` - the workspace in which the node information should be available; may not be null
        `key` - the unique key for the node; may not be null
        `parentKey` - the unique key for the parent of the node; may not be null
        `path` - the path of the node; may not be null
        `primaryType` - the primary type of the node; may not be null
        `mixinTypes` - the mixin types for the node; may not be null but may be empty
        `queryable` - true if the node is queryable, false otherwise

    - #### completeChanges

          protected void completeChanges()

      Description copied from class: `ChangeSetAdapter`
      Signals the end of processing for the changes in a transaction described by a single `ChangeSet`.
      Overrides:
        `completeChanges` in class `ChangeSetAdapter`
      See Also:
        `ChangeSetAdapter.beginChanges()`

    - #### completeWorkspaceChanges

          protected void completeWorkspaceChanges()

      Description copied from class: `ChangeSetAdapter`
      Signals the end of processing for the workspace-related changes in a transaction described by a single `ChangeSet`.
      Overrides:
        `completeWorkspaceChanges` in class `ChangeSetAdapter`
      See Also:
        `ChangeSetAdapter.beginWorkspaceChanges()`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.